<mat-card>
    <mat-card-header>
        <mat-card-title>{{post.title}}</mat-card-title>
    </mat-card-header>
    <mat-card-content>{{post.body}}</mat-card-content>
    <mat-card-actions>
        <span *ngIf="post.comments">{{post.comments.length}} Comments</span>
        <button mat-flat-button color="warn" (click)="Delete(post.id)">Delete Post <mat-icon>delete</mat-icon></button>
    </mat-card-actions>
</mat-card>